purge.commands = del /F Include\\*~ && del /F Source\\*~ && del /F *~ && \
		 del /F Doc\\*~ && del /F Installers\\*~ && \
                 del /F Projects\\*~

TEMPLATE	= app
LANGUAGE	= C++
QT		+= network sql webkit
CONFIG		+= qt release warn_on
DEFINES		+=
QMAKE_CLEAN	+= Dooble
QMAKE_CXXFLAGS_RELEASE += -Wall -Werror -Wextra
QMAKE_EXTRA_TARGETS = purge
INCLUDEPATH	+= Include Include.win
INCLUDEPATH     += .
LIBS		+= -LLibraries.win -lgcrypt-11 -lpthread
RC_FILE		= Resources\\dooble.rc

FORMS           = UI\\settings.ui \
		  UI\\statusBar.ui \
		  UI\\mainWindow.ui \
		  UI\\cookieWindow.ui \
		  UI\\historyWindow.ui \
                  UI\\historySideBar.ui \
		  UI\\downloadWindow.ui \
		  UI\\passwordPrompt.ui \
		  UI\\fileManagerForm.ui \
                  UI\\exceptionsWindow.ui \
		  UI\\pageSourceWindow.ui \
		  UI\\passphrasePrompt.ui \
		  UI\\downloadWindowItem.ui \
		  UI\\applicationPropertiesWindow.ui

UI_HEADERS_DIR  = Include

HEADERS		= Include\\dmisc.h \
		  Include\\dview.h \
		  Include\\dooble.h \
		  Include\\dmarker.h \
		  Include\\dcookies.h \
		  Include\\dhistory.h \
		  Include\\dwebpage.h \
                  Include\\dwebview.h \
		  Include\\dsettings.h \
                  Include\\dplugintab.h \
		  Include\\dtabwidget.h \
		  Include\\durlwidget.h \
		  Include\\dftpbrowser.h \
		  Include\\dwebhistory.h \    
		  Include\\dfilemanager.h \
                  Include\\dhistorymodel.h \
		  Include\\dcookiewindow.h \
		  Include\\dsearchwidget.h \
		  Include\\ddesktopwidget.h \
		  Include\\ddownloadwindow.h \
                  Include\\dhistorysidebar.h \
		  Include\\dwebhistoryitem.h \
                  Include\\dexceptionsmodel.h \
                  Include\\dfilemanagertree.h \
		  Include\\dfilesystemmodel.h \
                  Include\\dfilemanagertable.h \
                  Include\\dexceptionswindow.h \
		  Include\\dpagesourcewindow.h \
		  Include\\ddownloadwindowitem.h \
		  Include\\dgenericsearchwidget.h \
                  Include\\dnetworkaccessmanager.h \
                  Include\\dsettingshomelinewidget.h \
                  plugin-spec\\extension.h \
                  plugin-spec\\signal-agent.h \

SOURCES		= Source\\dmisc.cc \
		  Source\\dview.cc \
		  Source\\dooble.cc \
		  Source\\dmarker.cc \
		  Source\\dcookies.cc \
		  Source\\dhistory.cc \
		  Source\\dwebpage.cc \
                  Source\\dwebview.cc \
		  Source\\dsettings.cc \
                  Source\\dplugintab.cc \
		  Source\\dtabwidget.cc \
		  Source\\durlwidget.cc \
		  Source\\dftpbrowser.cc \
                  Source\\dwebhistory.cc \
		  Source\\dfilemanager.cc \
		  Source\\dcookiewindow.cc \
                  Source\\dhistorymodel.cc \
		  Source\\dsearchwidget.cc \
		  Source\\ddesktopwidget.cc \
		  Source\\ddownloadwindow.cc \
                  Source\\dhistorysidebar.cc \
		  Source\\dwebhistoryitem.cc \
                  Source\\dexceptionsmodel.cc \
                  Source\\dfilemanagertree.cc \
		  Source\\dfilesystemmodel.cc \
                  Source\\dfilemanagertable.cc \
                  Source\\dexceptionswindow.cc \
		  Source\\dpagesourcewindow.cc \
		  Source\\ddownloadwindowitem.cc \
		  Source\\dgenericsearchwidget.cc \
                  Source\\dnetworkaccessmanager.cc \
		  Source\\dsettingshomelinewidget.cc

RESOURCES	+= Tab\\Default\\htmls.qrc

TRANSLATIONS    = Translations\\dooble_en.ts \
                  Translations\\dooble_ae.ts \
                  Translations\\dooble_al_sq.ts \
                  Translations\\dooble_af.ts \
                  Translations\\dooble_al.ts \
                  Translations\\dooble_am.ts \
                  Translations\\dooble_as.ts \
                  Translations\\dooble_az.ts \
                  Translations\\dooble_ast.ts \
                  Translations\\dooble_be.ts \
                  Translations\\dooble_bd_bn.ts \
                  Translations\\dooble_bg.ts \
                  Translations\\dooble_ca.ts \
                  Translations\\dooble_crh.ts \
                  Translations\\dooble_cz.ts \
                  Translations\\dooble_de.ts \
                  Translations\\dooble_dk.ts \
                  Translations\\dooble_ee.ts \
                  Translations\\dooble_es.ts \
                  Translations\\dooble_eo.ts \
                  Translations\\dooble_et.ts \
                  Translations\\dooble_eu.ts \
                  Translations\\dooble_fi.ts \
                  Translations\\dooble_fr.ts \
                  Translations\\dooble_galician.ts \
                  Translations\\dooble_gl.ts \
                  Translations\\dooble_gr.ts \
                  Translations\\dooble_hb.ts \
                  Translations\\dooble_hi.ts \
                  Translations\\dooble_hr.ts \
                  Translations\\dooble_hu.ts \
                  Translations\\dooble_it.ts \
                  Translations\\dooble_il.ts \
                  Translations\\dooble_ie.ts \
                  Translations\\dooble_id.ts \
                  Translations\\dooble_jp.ts \
                  Translations\\dooble_kk.ts \
                  Translations\\dooble_kn.ts \
                  Translations\\dooble_ko.ts \
                  Translations\\dooble_ky.ts \
                  Translations\\dooble_ku.ts \
                  Translations\\dooble_lt.ts \
                  Translations\\dooble_lk.ts \
                  Translations\\dooble_lv.ts \
                  Translations\\dooble_ml.ts \
                  Translations\\dooble_mk.ts \
                  Translations\\dooble_mn.ts \
                  Translations\\dooble_ms.ts \
                  Translations\\dooble_my-bn.ts \
                  Translations\\dooble_mr.ts \
                  Translations\\dooble_mt.ts \
                  Translations\\dooble_nl.ts \
                  Translations\\dooble_no.ts \
                  Translations\\dooble_np.ts \
                  Translations\\dooble_pl.ts \
                  Translations\\dooble_pa.ts \
                  Translations\\dooble_pt.ts \
                  Translations\\dooble_pt-BR.ts \
                  Translations\\dooble_ps.ts \
                  Translations\\dooble_ro.ts \
                  Translations\\dooble_ru.ts \
                  Translations\\dooble_rw.ts \
                  Translations\\dooble_se.ts \
                  Translations\\dooble_sk.ts \
                  Translations\\dooble_sl.ts \
                  Translations\\dooble_sr.ts \
                  Translations\\dooble_sq.ts \
                  Translations\\dooble_sw.ts \
                  Translations\\dooble_th.ts \
                  Translations\\dooble_tr.ts \
                  Translations\\dooble_vn.ts \
                  Translations\\dooble_zh-CN-simple.ts \
                  Translations\\dooble_zh-TW.ts \
                  Translations\\dooble_zh-CN-traditional.ts \
                  Translations\\dooble_Arab_BH_DZ_EG_IQ_JO_KW_LY_MA_OM_QA_SA_SY_YE.ts \
                  Translations\\dooble_Spanish_AR_BO_CL_CO_CR_CU_DO_EC_EH_SV_GQ_GT_HN_MX_NI_PA_PY_PE_UY_VE.ts \
                  Translations\\dooble_French_BE_BJ_BF_BI_FR_KM_CD_CI_DJ_DM_PF_TF_GA_GN_HT_LB_LU_ML_MR_YT_MC_NC_NE_NG_SN_TG_TN.qm \
                  Translations\\dooble_Portuguese_AO_BR_CV_GW_MO_MZ_ST_TL.ts

TARGET		= Dooble
PROJECTNAME	= Dooble
